package com.hys.app.raycoswebapi.model.dao.product;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.sql.Timestamp;


@TableName("raycos_stockvirtualsku")
@Data
public class RaycosStockvirtualskuDao implements Serializable {
  private static final long serialVersionUID = 1L;
  @TableId(type = IdType.ASSIGN_ID)
  @ApiModelProperty(hidden = true)
  private Long id;

  @ApiModelProperty(name = "companyId", value = "companyId")
  private long companyId;

  @ApiModelProperty(name = "importTaskSeq", value = "importTaskSeq")
  private String importTaskSeq;

  @ApiModelProperty(name = "stockId", value = "Stock ID（唯一对应）")
  private Long stockId;

  @ApiModelProperty(name = "virtualSku", value = "virtualSku")
  private String virtualSku;

  @ApiModelProperty(name = "platformId", value = "平台类型")
  private Long platformId;

  @ApiModelProperty(name = "timeCreated", value = "创建时间")
  private Long timeCreated;




}
